sage.utilities {sagenhaft} | R Documentation

## Utilities

### Description

Different utilities to use with SAGE data.

### Usage

    tagnum2tagmatrix(tags, length)
    tagmatrix2tagnum(tags, length=ncol(tags))
    tagnum2tagsequence(tags, length)
    tagsequence2tagnum(tags, length)
    revcomp(seq)

### Arguments

`tags` | integer or character vector giving SAGE tags.
`length` | Length of SAGE tags.
`seq` | Character vector or list of sequences.
`...` | SAGE library objects.

### Details

These functions are utility functions used in SAGE tag extraction, e.g. to convert SAGE tag sequences to numeric values, i.e. base 4 for efficient storage and handling, and to reverse complement sequences.

### Author(s)

Tim Beissbarth

### Examples

    library(sagenhaft)
    tags <- c("aaa", "ttt", "ccc")
    tagsnumeric <- tagsequence2tagnum(tags, 3)
    tagsmatrix <- tagnum2tagmatrix(tagsnumeric, 3)
    tags <- tagnum2tagsequence(tagmatrix2tagnum(tagsmatrix, 3), 3)
    revcomp(tags)

[Package sagenhaft version 1.8.0 Index]